1

I know this is a question related to permission. The only thing I have changed in my environment is that I upgrade to Yosemite, I check apache everything is working fine.

This question has been asked in here and in others. I checked every possible solution. Here is what I have done:

  1. Change the permission in every possible way even to 777 in local environment. It still gives the errorattached a picture

  2. Change the apache user to my username and staff group, and make sure I have the set the right user and group

  3. Clear the cache every time that I make a change

  4. Use drush to flush the image as recommended in here

I have uploaded my site to a ubuntu server. It generates the files perfectly there without any trouble. Any ideas what it is happening in my local machine that it is not generating the styles folder and give an access denied error? I can upload files btw, it is just not able to create the folder styles and its files.

3

Probably not a permissions problem: the default php GD library on yosemite comes without png support, so drupal can't generate png images (like the default sample.png). You can very easily install another version of php.

  • Ah yes, the "run shell scripts over the internet -- I swear we won't do anything bad to your PC" ... while this is a valid answer, I believe Drupal has an error message in the Status Page if PNG support is not found. If an end-user can't figure this out by themselves -- why expose them to such a dangerous tool as this install.sh file linked in your answer? – tenken Feb 17 '15 at 22:29
  • I could not find it any message. However, after installing another version of php it worked for me...I did not check the link my bad, tenken. :( I requested the link to be removed. – cayerdis Feb 18 '15 at 0:53
1

Looks like a PHP issue.

I use Acquia Dev Desktop for my local environment, and things were working fine until the upgrade to Mac OS X 10.10.2 yesterday, when similar things started occurring.

From what it looks like, there were system level changes that affect local MySQL setups (my Apache runs fine). PHP version seems to be irrelevant (have tried three).

For the moment, it looks like Guardian's post above to run Vagrant (a Linux VM running on your system) may be your best bet.

0

Yosemite is no fun when it comes to your local dev environment. I have had a lot of similar issues when upgrading to Yosemite.

The first thing that comes to mind here is to check the PHP version on your ubuntu server and your local dev environment.

That might also be what is causing your problem here.

Another workaround is to give Vagrant a try. You can find all the info you need on Vagrant on https://www.vagrantup.com/

  • ??? I had exactly one problem when upgrading to Yosemite (pgsql related, easily fixed). Have people not heard of Homebrew? :) – Clive Jan 18 '15 at 20:02
  • I love homebrew but got an error Warning: You have an outdated version of /usr/bin/install_name_tool installed. I just have to accept that this was not my weekend for upgrading yosemite. I guess I have to reinstall everything. – cayerdis Jan 19 '15 at 0:48
0

If the problem is your local environment. I would recommend to used a VM with Lazy Dubuntu. If you still want to use Yosemite for your local environment you should try MAMP or Acquia Dev Desktop.

0

Run MAMP or AMPPS, http://www.ampps.com or install another PHP, MAMP is nice since you can switch PHP versions anytime and set per project etc. I'd only run a VM if I were working in a team and we all had to run the same environment.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.